VERSION 5.00
Object = "{7B85DAE3-322D-45A9-BD8F-63A19B61B13F}#1.0#0"; "BcsCtl.dll"
Begin VB.Form MainForm 
   BackColor       =   &H00FFFFFF&
   Caption         =   "BcsActiveX Demo (VB6)"
   ClientHeight    =   9435
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7740
   FillColor       =   &H00FFFFFF&
   Icon            =   "BcsActiveX.frx":0000
   LinkTopic       =   "Form1"
   Picture         =   "BcsActiveX.frx":0442
   ScaleHeight     =   9435
   ScaleWidth      =   7740
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton ButtonConfigure 
      Caption         =   "Configure Scanner"
      Enabled         =   0   'False
      Height          =   495
      Left            =   5040
      TabIndex        =   11
      Top             =   2760
      Width           =   2295
   End
   Begin BcsCtlLibCtl.BcsConn BcsConn1 
      Height          =   2655
      Left            =   360
      OleObjectBlob   =   "BcsActiveX.frx":8792
      TabIndex        =   0
      Top             =   360
      Width           =   4335
   End
   Begin VB.CommandButton ButtonAdd 
      Caption         =   "Add Bluetooth Device"
      Height          =   495
      Left            =   5040
      TabIndex        =   2
      Top             =   360
      Width           =   2295
   End
   Begin VB.CommandButton ButtonStart 
      Appearance      =   0  'Flat
      Caption         =   "Activate"
      Height          =   495
      Left            =   5040
      TabIndex        =   3
      Top             =   960
      Width           =   2295
   End
   Begin VB.CommandButton ButtonRemove 
      Caption         =   "Remove Bluetooth Device"
      Height          =   495
      Left            =   5040
      TabIndex        =   4
      Top             =   1560
      Width           =   2295
   End
   Begin VB.CommandButton ButtonProperties 
      Caption         =   "Show Properties"
      Height          =   495
      Left            =   5040
      TabIndex        =   5
      Top             =   2160
      Width           =   2295
   End
   Begin VB.TextBox OutputWindow 
      Height          =   5175
      Left            =   360
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   6
      Top             =   3360
      Width           =   6975
   End
   Begin VB.ComboBox cbPropName 
      Height          =   315
      ItemData        =   "BcsActiveX.frx":8816
      Left            =   1080
      List            =   "BcsActiveX.frx":890A
      TabIndex        =   8
      Text            =   "TimeStamp"
      Top             =   8880
      Width           =   2175
   End
   Begin VB.CommandButton CommandGetProp 
      Caption         =   "Get"
      Enabled         =   0   'False
      Height          =   285
      Left            =   3360
      TabIndex        =   9
      Top             =   8880
      Width           =   735
   End
   Begin VB.TextBox edPropValue 
      Height          =   285
      Left            =   4200
      TabIndex        =   10
      Top             =   8880
      Width           =   2295
   End
   Begin VB.CommandButton CommandSetProp 
      Caption         =   "Set"
      Enabled         =   0   'False
      Height          =   285
      Left            =   6600
      TabIndex        =   1
      Top             =   8880
      Width           =   735
   End
   Begin VB.Label lblProperty 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Property:"
      Height          =   285
      Left            =   360
      TabIndex        =   7
      Top             =   8910
      Width           =   735
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'***************************************************************************************
'
' This application demonstrates how to use the Microvision ActiveX Control to create a
' scanner interface.
'
' Copyright  2007 Microvision, Inc.
' All Rights Reserved.
'
'---------------------------------------------------------------------------------------
'
' Date          Author          Description
' ----------    --------------  --------------------------------------------------------
' 2007-11-18    T Cataldo       Added this comment block.
'
'***************************************************************************************


Option Explicit


'--------------------------------------------------------------------------------
'
' Use this function when you want to search for Bluetooth scanners. The Bluetooth
' scanners found will be displayed in the control. In order for a scanner to be
' found it must not be paired to another computer and it must be in Discoverable
' mode. Place the scanner in Discoverable mode by pressing the scan button. The
' scanner should repeatedly double-blink the blue LED when it is Discoverable.
'
'--------------------------------------------------------------------------------
Private Sub ButtonAdd_Click()
    On Error GoTo ErrorExit
    BcsConn1.AddBluetoothDevice
    Exit Sub

ErrorExit:
    MsgBox Err.Description, vbInformation, "Bcs Error"

End Sub

    
'--------------------------------------------------------------------------------
'
' Configure the scanner by setting it to its factory default state and then
' setting the configuration parameters required by this application. In a "real"
' application you could also set the bar code parameters, symbology IDs, etc.
'
'--------------------------------------------------------------------------------
Private Sub ButtonConfigure_Click()
        On Error GoTo ErrorExit
        BcsConn1.Command "RestoreFactorySettings", ""   ' Set scanner to a known configuration.
        BcsConn1.SetProp "AutoDownload", True           ' Send ATTN packet upon connection.
        BcsConn1.SetProp "BcDataAck", True              ' M2M with data acknowledgements (required).
        BcsConn1.SetProp "Time", DateTime.Now           ' Set scanner date/time to current value.
        MsgBox "Scanner Configured!", vbInformation, "Configure"
        Exit Sub

ErrorExit:
    MsgBox Err.Description, vbInformation, "Bcs Error"
End Sub


'--------------------------------------------------------------------------------
'
' This function display the properties of the scanner connection. The properties
' are shown in a standard Windows property dialog. This can be very helpful when
' trying to troubleshoot connection problems. This function works even if you do
' not have an active scanner connection.
'
'--------------------------------------------------------------------------------
Private Sub ButtonProperties_Click()
    On Error GoTo ErrorExit
    BcsConn1.ShowDeviceProperties
    Exit Sub

ErrorExit:
    MsgBox Err.Description, vbInformation, "Bcs Error"
End Sub


'--------------------------------------------------------------------------------
'
' This function removes a selected connection line from the scanner control list.
' This is most often used to remove a Bluetooth scanner that is no longer being
' used by this host.
'
'--------------------------------------------------------------------------------
Private Sub ButtonRemove_Click()
    On Error GoTo ErrorExit
    BcsConn1.RemoveBluetoothDevice
    Exit Sub

ErrorExit:
    MsgBox Err.Description, vbInformation, "Bcs Error"
End Sub


'--------------------------------------------------------------------------------
'
' This function opens and closes a scanner connection and enables/disables the
' dialog controls as appropriate.
'
'--------------------------------------------------------------------------------
Private Sub ButtonStart_Click()
    On Error GoTo ErrorExit
    If ButtonStart.Caption = "Activate" Then
        ' Open a connection to the scanner and 0 auto-selects the baud rate.
        BcsConn1.Open 0
        ' Disable the scanner control to prevent click and other events.
        BcsConn1.Enabled = False
        ' Update the dialog controls.
        ButtonStart.Caption = "Deactivate"
        ButtonConfigure.Enabled = True
        CommandGetProp.Enabled = True
        CommandSetProp.Enabled = True
        
        ' If the scanner is connected when the application starts then this command
        ' causes the scanner to send its stored bar codes.
        BcsConn1.GetBarCodes
    Else
        BcsConn1.Close                      ' Close the open scanner connection.
        BcsConn1.Enabled = True             ' Enable the scanner list box control.
        ButtonStart.Caption = "Activate"    ' Update the dialog controls.
        ButtonConfigure.Enabled = False
        CommandGetProp.Enabled = False
        CommandSetProp.Enabled = False
    End If
    Exit Sub

ErrorExit:
    MsgBox Err.Description, vbInformation, "Bcs Error"
End Sub


'--------------------------------------------------------------------------------
'
' This is the callback function that is called when the host detects data from
' the scanner. You never call this function directly -- the system calls it in
' response to a DataReceived event. Use this function to process the incoming
' bar code data. For this example we write the data to the screen but you could
' write the data to a file, add it to a database, etc. When adding this callback
' to an existing application select the BcsConn1 object from the "Object" drop-
' list above the IDE code window (list on the left). After selecting the BcsConn1
' object from the left then select the "BarCode" event in the right drop-list.
' The IDE will then create a function shell for your callback.
'
'--------------------------------------------------------------------------------
Private Sub BcsConn1_BarCode(BarCode As Variant, Symbology As Variant, TimeStamp As Variant, TimeType As Variant, Reserved As Variant)
    ' For this example we display the bar code and the bar code details.
    OutputWindow.SelText = _
        BarCode & vbTab & _
        "(si: " & Symbology & _
        ", ts: " & TimeStamp & _
        ", tt: " & TimeType & ")" & vbCrLf
End Sub


'--------------------------------------------------------------------------------
'
' Use this function to read the specified property value from the scanner. In
' the dialog box select the property from the list and press the "Get" button.
' The program then displays the value for that scanner property. This function
' is very useful for verifying the scanner configuration and for verifying the
' scanner connection.
'
'--------------------------------------------------------------------------------
Private Sub CommandGetProp_Click()
    On Error GoTo ErrorExit
    ' Get the value of the property displayed in the combo box on the main dialog.
    edPropValue = BcsConn1.GetProp(cbPropName)
    Exit Sub

ErrorExit:
    edPropValue = ""
    MsgBox Err.Description, vbInformation, "Bcs Error"
End Sub


'--------------------------------------------------------------------------------
'
' Set the value of the specified property. Select the property from the combo box
' on the bottom left in the main dialog. Enter the property value in the edit
' field on the bottom right of the dialog. When you press the "Set" button then
' the "SetProp" command is sent to the scanner. Note that this application does
' not validate the values that you specify. For example, if you set BcDataAck
' then valid values are "true" and "false". If you enter an inappropriate value
' then the scanner will reject the command.
'
'--------------------------------------------------------------------------------
Private Sub CommandSetProp_Click()
    On Error GoTo ErrorExit
    ' Send the command specified in the combo box and the value from the edit field.
    BcsConn1.SetProp cbPropName, edPropValue
    Exit Sub

ErrorExit:
    MsgBox Err.Description, vbInformation, "Bcs Error"
End Sub

